Subject: EXCHANGE S.AFRICAN BUTTERFLIES FOR OTHERS

From: [email-masked] (Pierre le Roux)
Date: Sun, 01 Sep 1996 05:57:26 GMT

My son an I live in a subtropical high-rainfall area extremely rich in
indigenous species, in particular of the genera Charaxes, Graphium,
Princeps, etc. We would like to exchange examples of these large,
showy butterflies for similar species, preferably of the same or
related genera. Please comment on this in the group, or contact us by
Email